//Source Code:
#include <Arduino.h>  // arduino hearder file
#include <ESP8266WiFi.h> // header file for ESP8266
#include "fauxmoESP.h"  // hearder file for fauxmoESP
#define WIFI_SSID "xxxx" // replace xxxx with your Wi-Fi SSID
#define WIFI_PASS "xxxx" // replace xxxx with the password
#define SERIAL_BAUDRATE 115200
#define l D2
#define r D3
fauxmoESP fauxmo; 
void wifiSetup() {
 WiFi.mode(WIFI_STA);
Serial.printf("[WIFI] Connecting to %s ", WIFI_SSID);
WiFi.begin(WIFI_SSID, WIFI_PASS); 
while (WiFi.status() != WL_CONNECTED) {
Serial.print(".");
delay(100);
}
Serial.println();
Serial.printf("[WIFI] STATION Mode, SSID: %s, IP address: %s\n", WiFi.SSID().c_str(),
WiFi.localIP().toString().c_str());
}
void setup() {
  pinMode(l, OUTPUT);
  pinMode(r, OUTPUT);
Serial.begin(SERIAL_BAUDRATE);
Serial.println("FauxMo demo sketch");
Serial.println("After connection, ask Alexa/Echo to 'turn <devicename> on' or 'off'");
  wifiSetup();
fauxmo.addDevice("light 1");
fauxmo.addDevice("fan");
  // Gen3 Devices or above port number will be used
fauxmo.setPort(80);
fauxmo.enable(true);
fauxmo.onSetState([](unsigned char device_id, const char * device_name, bool  state, unsigned char value) {
Serial.print("Device: "); Serial.print(device_name);
Serial.print(" state");
 if (state) {
      Serial.println("ON!");
    }
    else {
      Serial.println("off");
    }
 if ( (strcmp(device_name, "light 1") == 0) )
    {
      if (state)
      {
        digitalWrite(l, LOW);
 }
      else
      {
        digitalWrite(l, HIGH);
      }
    }
    if ( (strcmp(device_name, "fan") == 0) )
    {
      if (state)
      {
        digitalWrite(r, LOW);
  }
      else
      {
        digitalWrite(r, HIGH);
      }
    }
 });
}
void loop() {
  fauxmo.handle();
}
